## libparams-callbackrequest-perl 1.19

=== debian/changelog ===
libparams-callbackrequest-perl (1.19-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: remove libmodule-build-perl from Build-Depends, in perl
    core since 5.10.

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Peter Pentchev ]
  * Add myself to the list of uploaders.
  * Convert to the 3.0 (quilt) source format with no changes.
  * Depend on libclass-isa-perl | perl (<< 5.10.1-13).  Closes: #614429
  * Convert the copyright file to the latest DEP 5 candidate format and
    add my copyright notice.
  * Bump the debhelper compatibility level to 8 and minimize the rules file.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Make the perl build-dependency unversioned.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 22 Feb 2011 16:43:54 +0200

libparams-callbackrequest-perl (1.19-1) unstable; urgency=low

  * New upstream release.
  * Set Standards-Version to 3.8.0 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 Jun 2008 20:55:43 +0200

libparams-callbackrequest-perl (1.18-1) unstable; urgency=low

  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/watch: use dist-based URL.
  
  * New upstream release.
  * debian/watch: extended regexp for matching upstream releases.
  * debian/copyright: use author-independent upstream source URL, adjust
    years of copyright.
  * debian/control:
    - change my email address
    - add libexception-class-perl, libparams-validate-perl to Depends
    - wrap long lines
    - move libmodule-build-perl from Build-Depends-Indep to Build-Depends
      (used in debian/rules' clean target)
  * Set Standards-Version to 3.7.3 (no changes).
  * Refresh debian/rules, no functional changes, except for the omission of
    README, which provides no additional information for users of the
    package.

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 May 2008 17:10:17 +0200

libparams-callbackrequest-perl (1.17-1) unstable; urgency=low

  * New upstream release.
  * Remove one of the two "perls" from Build-Depends-Indep in debian/control.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 18 May 2007 23:47:46 +0200

libparams-callbackrequest-perl (1.15-1) unstable; urgency=low

  * New upstream release.
  * Set Debhelper Compatibility Level to 5.
  * Set Standards-Version to 3.7.2.
  * Added libtest-pod-perl to Build-Depends-Indep.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 17 Jun 2006 17:44:45 +0200

libparams-callbackrequest-perl (1.14-1) unstable; urgency=low

  * New Upstream Release
  * New Maintainer (Closes: #348953)
  * debian/copyright: added url to homepage
  * debian/copyright: added copyright year
  * debian/rules: clean up
  * added debian/watch file
  * debian/control: moved debhelper to Build-Depends
  * Bumped up to 3.7.0 standards version

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sun, 30 Apr 2006 12:18:34 +0200

libparams-callbackrequest-perl (1.13-3) unstable; urgency=low

  * Orphan package. 

 -- Clint Adams <schizo@debian.org>  Sat, 21 Jan 2006 18:57:05 -0500

libparams-callbackrequest-perl (1.13-2) unstable; urgency=low

  * Tweak description. 

 -- Clint Adams <schizo@debian.org>  Fri, 23 Dec 2005 23:33:54 -0500

libparams-callbackrequest-perl (1.13-1) unstable; urgency=low

  * Initial Release.

 -- Clint Adams <schizo@debian.org>  Tue, 13 Dec 2005 11:35:38 -0500
