=== debian/control ===
Source: libparams-callbackrequest-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl, libclass-isa-perl | perl (<< 5.10.1-13),
 libexception-class-perl,
 libparams-validate-perl, libtest-pod-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>,
 gregor herrmann <gregoa@debian.org>, Peter Pentchev <roam@ringlet.net>
Standards-Version: 3.9.1
Homepage: http://search.cpan.org/dist/Params-CallbackRequest/
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libparams-callbackrequest-perl/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libparams-callbackrequest-perl/

Package: libparams-callbackrequest-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 libclass-isa-perl | perl (<< 5.10.1-13), libexception-class-perl,
 libparams-validate-perl
Description: Functional and object-oriented callback architecture
 Params::CallbackRequest provides functional and object-oriented callbacks to
 method and function parameters. Callbacks may be either code references
 provided to the new() constructor, or methods defined in subclasses of
 Params::Callback. Callbacks are triggered either for every call to the
 Params::CallbackRequest request() method, or by specially named keys in the
 parameters to request().
 .
 The idea behind this module is to provide a sort of plugin architecture for
 Perl templating systems. Callbacks are triggered by the contents of a request
 to the Perl templating server, before the templating system itself executes.
 This approach allows you to carry out logical processing of data submitted
 from a form, to affect the contents of the request parameters before they're
 passed to the templating system for processing, and even to redirect or abort
 the request before the templating system handles it.
