## libparams-callbackrequest-perl 1.20

=== debian/changelog ===
libparams-callbackrequest-perl (1.20-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 15 Oct 2022 20:19:11 +0100

libparams-callbackrequest-perl (1.20-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 16 Jun 2022 23:33:44 +0100

libparams-callbackrequest-perl (1.20-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 19:29:25 +0100

libparams-callbackrequest-perl (1.20-2) unstable; urgency=low

  * Team upload.

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Niko Tyni ]
  * Add explicit build-dependency on libmodule-build-perl
  * Declare the package autopkgtestable
  * Add dependencies on libclass-isa-perl and libattribute-handlers-perl

 -- Niko Tyni <ntyni@debian.org>  Thu, 04 Jun 2015 22:50:18 +0300

libparams-callbackrequest-perl (1.20-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Moved to different repository.
  * debian/copyright: Update years of copyright.
  * debian/control: Convert Vcs-* fields to Git.

  [ Jonas Genannt ]
  * New Upstream Release
  * Bumped Standards-Version to 3.9.2 with no changes
  * debian/control: added version dependency to libtest-pod-perl
  * debian/control: updated short package description
  * debian/copyright: updated Copyright years / added Ansgar Burchardt
  * debian/copyright: Updated URL to ViewSVN

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Mon, 08 Aug 2011 20:35:11 +0200
