=== debian/control ===
Source: libparams-callbackrequest-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>,
           Peter Pentchev <roam@ringlet.net>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libmodule-build-perl
Build-Depends-Indep: perl,
                     libclass-isa-perl,
                     libattribute-handlers-perl,
                     libexception-class-perl,
                     libparams-validate-perl,
                     libtest-pod-perl
Standards-Version: 3.9.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libparams-callbackrequest-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libparams-callbackrequest-perl.git
Homepage: https://metacpan.org/release/Params-CallbackRequest

Package: libparams-callbackrequest-perl
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         perl,
         libclass-isa-perl,
         libattribute-handlers-perl,
         libexception-class-perl,
         libparams-validate-perl
Description: handler for functional and object-oriented callbacks in Perl
 Params::CallbackRequest provides functional and object-oriented callbacks to
 method and function parameters. Callbacks may be either code references
 provided to the new() constructor, or methods defined in subclasses of
 Params::Callback. Callbacks are triggered either for every call to the
 Params::CallbackRequest request() method, or by specially named keys in the
 parameters to request().
 .
 The idea behind this module is to provide a sort of plugin architecture for
 Perl templating systems. Callbacks are triggered by the contents of a request
 to the Perl templating server, before the templating system itself executes.
 This approach allows you to carry out logical processing of data submitted
 from a form, to affect the contents of the request parameters before they're
 passed to the templating system for processing, and even to redirect or abort
 the request before the templating system handles it.
