=== debian/watch ===
version=4
https://metacpan.org/release/Params-CallbackRequest .*/Params-CallbackRequest-v?@ANY_VERSION@@ARCHIVE_EXT@$
